Class | ActionController::Routing::Optimisation::PositionalArgumentsWithAdditionalParams
In: | lib/action_controller/routing/optimisations.rb
Parent: | PositionalArguments

This case is mostly the same as the positional arguments case above, but it supports additional query parameters as the last argument

### Methods

applicable? generation_code guard_condition

### Public Instance methods

applicable?()

To avoid generating "localhost/?host=foo.example.com" we can‘t use this optimisation on routes without any segments

generation_code()

This case uses almost the same code as positional arguments, but add an args.last.to_query on the end

guard_condition()

[Validate]